EscalatableBase (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.escalation.server.session.EscalatableBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.escalation.server.session
Class EscalatableBase

    java.lang.Object
      org.hyperic.hq.escalation.server.session.EscalatableBase

All Implemented Interfaces:
  Escalatable

Direct Known Subclasses:
  ClassicEscalatable

    public abstract class EscalatableBase

extends java.lang.Object
implements Escalatable

This is a utility class meant to provide some of the basic pieces needed for things to implement `Escalatable`

Constructor Summary
`protected` | `EscalatableBase(PerformsEscalations def, java.lang.Integer id, java.lang.String shortReason, java.lang.String longReason, boolean ackable)`

Method Summary
`PerformsEscalations` | `getDefinition()` Get the definition which started the escalation.
`java.lang.Integer` | `getId()`
`java.lang.String` | `getLongReason()`
`java.lang.String` | `getShortReason()`
`boolean` | `isAcknowledgeable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.escalation.server.session.Escalatable
`getAlertInfo, getAuxLogs`

Constructor Detail

### EscalatableBase

    protected EscalatableBase(PerformsEscalations def,
                              java.lang.Integer id,
                              java.lang.String shortReason,
                              java.lang.String longReason,
                              boolean ackable)

Method Detail

### getDefinition

    public PerformsEscalations getDefinition()

  Description copied from interface: `Escalatable`
  Get the definition which started the escalation.

  Specified by:
    `getDefinition` in interface `Escalatable`

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in interface `Escalatable`

### getLongReason

    public java.lang.String getLongReason()

  Specified by:
    `getLongReason` in interface `Escalatable`

### getShortReason

    public java.lang.String getShortReason()

  Specified by:
    `getShortReason` in interface `Escalatable`

### isAcknowledgeable

    public boolean isAcknowledgeable()

  Specified by:
    `isAcknowledgeable` in interface `Escalatable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.